import {render, screen} from "@testing-library/react";
import MockAppWithProviders from "../../../../mocks/AppWithProvider";
import LoginLinkRouting from "@/components/login-expert/LoginLinkRouting";

describe("Login expert component from login page",()=>{

    describe('Rendering', () => {
        it('LoginLinkRouting from LoginComponent Should get main page when back url dos not exist', async () => {
            render(
                <MockAppWithProviders>
                    <LoginLinkRouting/>
                </MockAppWithProviders>
            )
            const linkElement = await screen.findByTestId("link_routing")
            expect(linkElement).toHaveTextContent("بازگشت به صفحه اصلی")
        });
    })
})
